> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/auftragswesen/eingangsrechnung.md).

# Eingangsrechnung

{% hint style="warning" %}
Der Eingangsprozess für Rechnungen wurde vollständig überarbeitet. Aus diesem Grund werden für den neuen Eingangsrechnungsprozess neue Endpunkte benötigt. Nach vollständiger Umstellung aller Kunden werden die alten Endpunkte abgekündigt und entfernt. Die Umstellung erfolgt in Abstimmung mit unseren Kunden und Partnern, soweit uns diese bekannt sind.
{% endhint %}

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Eingangsrechnungen abrufen (alter Eingangsrechnungsprozess)

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/Commissioning/InvoiceReceipts" method="get" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

## Eingangsrechnungen mit Auftragsdetails abrufen (alter Eingangsrechnungsprozess)

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningRead/InvoiceReceipt/CommissionItems" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Eingangsrechnungen mit Auftragsdetails abrufen (neuer Eingangsrechnungsprozess)

#### Version 1.2

***

## GET /openwowi/v1.2/CommissioningRead/InvoiceReceiptNew/CommissionItems

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Number":{"type":"string","nullable":true},"PreliminaryNumber":{"type":"string","nullable":true},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"InvoiceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"MaturityDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"MonetaryTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto"},"TaxTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxTotalDto"},"PaymentOrders":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto"},"nullable":true},"CommissionItems":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto"},"nullable":true},"AttachedCommissions":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto"},"nullable":true},"ResponsibleOfficial":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto"},"Department":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto"},"EconomicUnits":{"type":"array","items":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto"},"nullable":true},"Projects":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto"},"nullable":true},"InvoiceType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto"},"Step":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto"},"Creditor":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorSlimDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxInclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxTotalDto":{"type":"object","properties":{"TaxAmount":{"type":"number","format":"decimal"},"TaxSubtotals":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxSubtotalDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxSubtotalDto":{"type":"object","properties":{"Net":{"type":"number","format":"decimal"},"Vat":{"type":"number","format":"decimal"},"Tax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto":{"type":"object","properties":{"PaymentOrderNumber":{"type":"string","nullable":true},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"TransferDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PaymentFileStatus":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"UnitPrice":{"type":"number","format":"decimal","nullable":true},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal","nullable":true},"Units":{"type":"number","format":"decimal"},"CommissionText":{"type":"string","nullable":true},"InternalDescription":{"type":"string","nullable":true},"PositionNumber":{"type":"number","format":"decimal"},"IsCanceled":{"type":"boolean"},"IsSmallRepair":{"type":"boolean"},"TransferToCraftsmanPortalWithoutCosts":{"type":"boolean"},"BudgetData":{"allOf":[{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto"}],"nullable":true},"SalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"ServiceCatalogue":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto"},"CraftActivity":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto"},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"},"Component":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto"},"Facility":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto"},"ComponentCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto"},"FacilityCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto"},"ApprovedNetAmount":{"type":"number","format":"decimal","nullable":true},"Commission":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto":{"type":"object","properties":{"Budget":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto"},"BudgetDetail":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"BudgetId":{"type":"integer","format":"int32"},"Hierarchy1Value":{"type":"string","nullable":true},"Hierarchy2Value":{"type":"string","nullable":true},"Hierarchy3Value":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"ArgeCode":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"RecordingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ReleaseDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PlacingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AcceptanceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CompletionDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CommissionType":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto"},"CommissionStatus":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto"}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CodeShort":{"type":"string","nullable":true},"PersonId":{"type":"integer","format":"int32"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CreditorNumber":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/CommissioningRead/InvoiceReceiptNew/CommissionItems":{"get":{"tags":["OpenWowi Commissioning Read"],"operationId":"CommissioningRead_GetInvoiceReceiptFlowWithCommissionItems","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"number","in":"query","schema":{"type":"string"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"companyCodeCode","in":"query","schema":{"type":"string"}},{"name":"commissionId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"commissionIdNum","in":"query","schema":{"type":"string"}},{"name":"maturityDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"maturityDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"includePaymentOrder","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Zahlaufträge abrufen

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningRead/InvoiceReceipt/PaymentOrders" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/auftragswesen/eingangsrechnung.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
